// file common between ui and backend
var common = function(){

  this.ucfirst = function(string) {
      return string.charAt(0).toUpperCase() + string.slice(1);
  }

  this.replaceAll = function(str, find, replace) {
    return str.replace(new RegExp(find, 'g'), replace);
  };

  this.replaceLast = function(str, find, replace){
		return str.replace(new RegExp(find + '$'), replace);
  };

  this.time = function(){
	    return Math.round(new Date().getTime()/1000);
	};
    
}

try{module.exports = common;}catch(e){
  common = new common();
};

