
(function (PL, $) {

PL.Validation = (function () {
		 function _validation() {
		 	
		 	var initValidationInput = function(){
		 		
		 		$('body').on('blur','input,textarea',function(e){
		 			var ele = $(this);
		 			var name = ele.attr('name');
				 	
				 	displayErrors(ele,name);

		 		});
		 		$('body').on('focus','input,textarea',function(e){
		 			$('.server-error').addClass('hide');
		 		});
		 	}

		 	var displayErrors = function(ele,name){
		 		var val = ele.val();
 				var isValid = false;

	 			switch(name){
	 				case "fname":
	 						if(validate.name(val)){
	 							isValid = true;
	 						}
	 					break;
	 				case "email":
	 						if(validate.email(val)){
	 							isValid = true;
	 						}
	 					break;
	 				case "message":
	 						if(validate.message(val)){
	 							isValid = true;
	 						}
	 					break;
	 				case "contact":
	 					if(validate.contact(val)){
	 						isValid = true;
	 					}
	 					break;
	 				default:
	 						return;
	 					break;
	 			}

	 			if(isValid){
	 				ele.parent().addClass('succ').removeClass('error');
	 				ele.closest('form').removeClass('error');
	 			}else{
	 				ele.parent().addClass('error').removeClass('succ');
	 				ele.closest('form').addClass('error');
	 			}
		 	};

			var init = (function () {
				initValidationInput();
			  })();			
		  }
		  
        return new _validation();
    })();
})(window.PL = window.PL || {}, jQuery, undefined);





